Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.weather
Class WeatherPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.core.samples.weather.WeatherPortlet

All Implemented Interfaces:
  Portlet

    public class WeatherPortlet

extends GenericPortlet

Simple weather portlet that reads Yahoo RSS Weather feeds and uses XSLT for presentation.

Author:
  Roy Russo

Field Summary
`static org.apache.log4j.Logger` | `log` Logger

Constructor Summary
`WeatherPortlet()`

Method Summary
`protected void` | `doEdit(RenderRequest request, RenderResponse response)` Allow edit of weather location.
`protected void` | `doHelp(RenderRequest request, RenderResponse response)` Helper method to serve up the `help` mode.
`protected void` | `doView(RenderRequest request, RenderResponse response)` Helper method to serve up the mandatory `view` mode.
`void` | `init()` Compile the XSL File.
`void` | `processAction(ActionRequest request, ActionResponse response)` Process weather location edit and store in user preferences.

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

  Logger

Constructor Detail

### WeatherPortlet

    public WeatherPortlet()

Method Detail

### init

    public void init()

  Compile the XSL File.

  Overrides:
    `init` in class `GenericPortlet`

### doView

    protected void doView(RenderRequest request,
                          RenderResponse response)
                   throws java.io.IOException,
                          PortletException

  Description copied from class: `GenericPortlet`
  Helper method to serve up the mandatory `view` mode.

  The default implementation throws an exception.

  Overrides:
    `doView` in class `GenericPortlet`
  Parameters:
    `request` - the portlet request
    `response` - the render response
  Throws:
    `java.io.IOException` - if the streaming causes an I/O problem
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons

### doEdit

    protected void doEdit(RenderRequest request,
                          RenderResponse response)
                   throws java.io.IOException,
                          PortletException

  Allow edit of weather location.

  Overrides:
    `doEdit` in class `GenericPortlet`
  Parameters:
    `request` -
    `response` -
  Throws:
    `java.io.IOException`
    `PortletException`
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons

### doHelp

    protected void doHelp(RenderRequest request,
                          RenderResponse response)
                   throws java.io.IOException,
                          PortletException

  Description copied from class: `GenericPortlet`
  Helper method to serve up the `help` mode.

  The default implementation throws an exception.

  Overrides:
    `doHelp` in class `GenericPortlet`
  Parameters:
    `request` - the portlet request
    `response` - the render response
  Throws:
    `java.io.IOException` - if the streaming causes an I/O problem
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons

### processAction

    public void processAction(ActionRequest request,
                              ActionResponse response)
                       throws PortletException

  Process weather location edit and store in user preferences.

  Specified by:
    `processAction` in interface `Portlet`
  Overrides:
    `processAction` in class `GenericPortlet`
  Parameters:
    `request` -
    `response` -
  Throws:
    `PortletException`
    `UnavailableException` - if the portlet is unavailable to process the action at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD